Rotate Dimension text to new UCS

Discussion in 'AutoCAD' started by BG, Jan 9, 2004.

  1. BG

    BG Guest

    Is there a way to rotate existing Dimension Text to match a new UCS
    orientation. Thanks
     
    BG, Jan 9, 2004
    #1
  2. BG

    edavery Guest

    Not sure if this will help, but this was posted back a while. It works to flip text 180 degrees. Maybe someone could modify it to match the UCS. Good Luck.


    Re: How to Rotate Dims
    Jeff
    Here is a lisp file written by David Kozina to do exactly that.

    ;;by David Kozina
    ;;via email 11-20-00
    ;;routine to flip text about dim line
    (defun C:FLIPTEXT (/ ss i ent ele)
    (setq ss (ssget '((0 . "DIMENSION")))
    i (1- (sslength ss)))
    (while (not (minusp i))
    (setq ent (ssname ss i)
    ele (entget ent))
    (entmod
    (subst (cons 51 (- (abs (cdr (assoc 51 ele))) PI))
    (assoc 51 ele)
    ele))
    (entupd ent)
    (setq i (1- i))))
    ;;;;

    Copy the above to a text file and name it fliptext.lsp. Drag the file into
    the drawing, type FLIPTEXT at the command line and select the dimensions to
    change.

    HTH

    Kent Elrod
     
    edavery, Jan 9, 2004
    #2
  3. I'm guessing here.

    in your new ucs draw a 90%%d angle with 2 lines. Use the align command with
    2 points. I've never tried it with dimensions.

    HTH
     
    Kurt westerlund, Jan 13, 2004
    #3
  4. 1. Change the UCS to new plane or angle
    2. Move it to plane where you want to place your dimensions
    3. Draw dimensions

    Example to dimension box drawn in 3D.

    1. Dimensions of the from wall: Place UCS on the front wall corner and
    rotate them to be in the same plane as the front wall. Draw dimensions
    2. Dimensions of the right hand wall: Place UCS on the right hand wall
    corner and rotate them 90 deg to be in the same plane as that wall. Draw
    dimensions

    Jan
     
    Jan Nademlejnsky, Jan 14, 2004
    #4
  5. Duh, ok. If you are trying to move to a different UCS you would need the 3
    point alignment.
     
    Kurt westerlund, Jan 14, 2004
    #5
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.